<bugID>1129896<Summary>Address review comments for the Downloads front-end refactoring</Summary><Description>This bug is about completing the Downloads front-end refactoring by addressing the review comments on the latest version of the existing patches.</Description></bugID>